// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		FAF3B9F6261BCCE000BED8C8 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = FAF3B9F5261BCCE000BED8C8 /* AppDelegate.swift */; };
		FAF3B9F8261BCCE000BED8C8 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = FAF3B9F7261BCCE000BED8C8 /* ViewController.swift */; };
		FAF3B9FA261BCCE200BED8C8 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = FAF3B9F9261BCCE200BED8C8 /* Assets.xcassets */; };
		FAF3B9FD261BCCE200BED8C8 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = FAF3B9FB261BCCE200BED8C8 /* Main.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		FAF3B9F2261BCCE000BED8C8 /* KeyDetectionDemo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = KeyDetectionDemo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		FAF3B9F5261BCCE000BED8C8 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		FAF3B9F7261BCCE000BED8C8 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		FAF3B9F9261BCCE200BED8C8 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		FAF3B9FC261BCCE200BED8C8 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		FAF3B9FE261BCCE200BED8C8 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		FAF3B9FF261BCCE200BED8C8 /* KeyDetectionDemo.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = KeyDetectionDemo.entitlements; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		FAF3B9EF261BCCE000BED8C8 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		FAF3B9E9261BCCE000BED8C8 = {
			isa = PBXGroup;
			children = (
				FAF3B9F4261BCCE000BED8C8 /* KeyDetectionDemo */,
				FAF3B9F3261BCCE000BED8C8 /* Products */,
			);
			sourceTree = "<group>";
		};
		FAF3B9F3261BCCE000BED8C8 /* Products */ = {
			isa = PBXGroup;
			children = (
				FAF3B9F2261BCCE000BED8C8 /* KeyDetectionDemo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		FAF3B9F4261BCCE000BED8C8 /* KeyDetectionDemo */ = {
			isa = PBXGroup;
			children = (
				FAF3B9F5261BCCE000BED8C8 /* AppDelegate.swift */,
				FAF3B9F7261BCCE000BED8C8 /* ViewController.swift */,
				FAF3B9F9261BCCE200BED8C8 /* Assets.xcassets */,
				FAF3B9FB261BCCE200BED8C8 /* Main.storyboard */,
				FAF3B9FE261BCCE200BED8C8 /* Info.plist */,
				FAF3B9FF261BCCE200BED8C8 /* KeyDetectionDemo.entitlements */,
			);
			path = KeyDetectionDemo;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		FAF3B9F1261BCCE000BED8C8 /* KeyDetectionDemo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = FAF3BA02261BCCE200BED8C8 /* Build configuration list for PBXNativeTarget "KeyDetectionDemo" */;
			buildPhases = (
				FAF3B9EE261BCCE000BED8C8 /* Sources */,
				FAF3B9EF261BCCE000BED8C8 /* Frameworks */,
				FAF3B9F0261BCCE000BED8C8 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = KeyDetectionDemo;
			productName = KeyDetectionDemo;
			productReference = FAF3B9F2261BCCE000BED8C8 /* KeyDetectionDemo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		FAF3B9EA261BCCE000BED8C8 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1240;
				LastUpgradeCheck = 1240;
				TargetAttributes = {
					FAF3B9F1261BCCE000BED8C8 = {
						CreatedOnToolsVersion = 12.4;
					};
				};
			};
			buildConfigurationList = FAF3B9ED261BCCE000BED8C8 /* Build configuration list for PBXProject "KeyDetectionDemo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = FAF3B9E9261BCCE000BED8C8;
			productRefGroup = FAF3B9F3261BCCE000BED8C8 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				FAF3B9F1261BCCE000BED8C8 /* KeyDetectionDemo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		FAF3B9F0261BCCE000BED8C8 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FAF3B9FA261BCCE200BED8C8 /* Assets.xcassets in Resources */,
				FAF3B9FD261BCCE200BED8C8 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		FAF3B9EE261BCCE000BED8C8 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FAF3B9F8261BCCE000BED8C8 /* ViewController.swift in Sources */,
				FAF3B9F6261BCCE000BED8C8 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		FAF3B9FB261BCCE200BED8C8 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				FAF3B9FC261BCCE200BED8C8 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		FAF3BA00261BCCE200BED8C8 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 11.1;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		FAF3BA01261BCCE200BED8C8 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 11.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = macosx;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
			};
			name = Release;
		};
		FAF3BA03261BCCE200BED8C8 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = KeyDetectionDemo/KeyDetectionDemo.entitlements;
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				DEVELOPMENT_TEAM = C5B9E4VEW7;
				ENABLE_HARDENED_RUNTIME = YES;
				INFOPLIST_FILE = KeyDetectionDemo/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = ca.momchilov.KeyDetectionDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
			};
			name = Debug;
		};
		FAF3BA04261BCCE200BED8C8 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = KeyDetectionDemo/KeyDetectionDemo.entitlements;
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				DEVELOPMENT_TEAM = C5B9E4VEW7;
				ENABLE_HARDENED_RUNTIME = YES;
				INFOPLIST_FILE = KeyDetectionDemo/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = ca.momchilov.KeyDetectionDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		FAF3B9ED261BCCE000BED8C8 /* Build configuration list for PBXProject "KeyDetectionDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FAF3BA00261BCCE200BED8C8 /* Debug */,
				FAF3BA01261BCCE200BED8C8 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		FAF3BA02261BCCE200BED8C8 /* Build configuration list for PBXNativeTarget "KeyDetectionDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FAF3BA03261BCCE200BED8C8 /* Debug */,
				FAF3BA04261BCCE200BED8C8 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = FAF3B9EA261BCCE000BED8C8 /* Project object */;
}
